Assignee: Dominic Cleal
Category: Rails
Target version: 1.12.0
Description

Rails 4.2 deprecates route specifications with :to when they contain only an action name, issuing warnings. They should be using
:action instead.

http://edgeguides.rubyonrails.org/4_2_release_notes.html#action-pack-deprecations

‘to specifications with "controller#action" remain valid and unchanged.

Associated revisions

Revision b564efcd - 02/27/2016 03:43 PM - Dominic Cleal

fixes #13895 - replace :to with :action in routes

Using :to with a string that doesn't contain # is deprecated since
Rails 4.2, and it should instead use :action or :controller as
appropriate.

http://edgeguides.rubyonrails.org/4_2_release notes.html#action-pack-deprecations

History

#1 - 02/25/2016 05:37 AM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/3236 added

#2 - 02/27/2016 04:01 PM - Dominic Cleal
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset b564efcd155cc863b4a1f37e769121f116ef5897.

#3 - 02/29/2016 05:41 AM - Dominic Cleal

- translation missing: en.field_release set to 136
